package com.ffii.lioner.modules.lioner.entity;

import java.time.LocalDateTime;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

/** @author Jason Lam */
@Entity
@Table(name = "todo_reminder")
public class TodoReminder extends BaseEntity<Long>{

	@Column
	private Long id;

    @NotNull
	@Column
	private Long eventId;

    @NotNull
	@Column
	private Long subDivisionId;

    @NotBlank
	@Column
	private String title;

    @NotBlank
	@Column
	private String message;

	@Column
	private Long suppressedBy;

    @Column
	private LocalDateTime suppressedDate;

    @Column
	private String reminderType;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEventId() {
        return this.eventId;
    }

    public void setEventId(Long eventId) {
        this.eventId = eventId;
    }

    public Long getSubDivisionId() {
        return this.subDivisionId;
    }

    public void setSubDivisionId(Long subDivisionId) {
        this.subDivisionId = subDivisionId;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Long getSuppressedBy() {
        return this.suppressedBy;
    }

    public void setSuppressedBy(Long suppressedBy) {
        this.suppressedBy = suppressedBy;
    }

    public LocalDateTime getSuppressedDate() {
        return this.suppressedDate;
    }

    public void setSuppressedDate(LocalDateTime suppressedDate) {
        this.suppressedDate = suppressedDate;
    }

    public String getReminderType() {
        return this.reminderType;
    }

    public void setReminderType(String reminderType) {
        this.reminderType = reminderType;
    }

}

